diff --git a/resources/data/skins/default.surge-skin/SVG/hover00153.svg b/resources/data/skins/default.surge-skin/SVG/hover00153.svg
new file mode 100644
index 000000000..5796e7afe
--- /dev/null
+++ b/resources/data/skins/default.surge-skin/SVG/hover00153.svg
@@ -0,0 +1,45 @@
+<?xml version="1.0" encoding="utf-8"?>
+<svg width="56px" height="48px" viewBox="0 0 56 48" version="1.1" xmlns="http://www.w3.org/2000/svg">
+  <title>bmp00153</title>
+  <desc>Created with Sketch.</desc>
+  <defs>
+    <linearGradient x1="49.9993125%" y1="0%" x2="49.9993125%" y2="100%" id="linearGradient-1">
+      <stop stop-color="#D4D4D4" offset="0"/>
+      <stop stop-color="#A5A5A5" offset="0.2876"/>
+      <stop stop-color="#A6A6A6" offset="0.7299"/>
+      <stop stop-color="#5F5F5F" offset="1"/>
+    </linearGradient>
+    <linearGradient x1="49.9993125%" y1="3.02513626%" x2="49.9993125%" y2="100%" id="linearGradient-2">
+      <stop stop-color="#D0D8F1" offset="0"/>
+      <stop stop-color="#8E9FCE" offset="0.1875"/>
+      <stop stop-color="#8D9ECD" offset="0.7783"/>
+      <stop stop-color="#545E7D" offset="1"/>
+    </linearGradient>
+  </defs>
+  <g id="bmp00153" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
+    <g id="Group-2" transform="translate(2.000000, 2.000000)">
+      <rect id="Rectangle" fill="url(#linearGradient-1)" x="0.5" y="0.5" width="18" height="13" rx="5" stroke="#464646"/>
+      <rect id="Rectangle" fill-opacity="0.1" fill="#FFFFFF" x="8" y="3" width="1" height="8"/>
+      <rect id="Rectangle" fill="#CC7000" x="9" y="2" width="1" height="10"/>
+    </g>
+    <g id="Group-2" transform="translate(2.000000, 26.000000)">
+      <rect id="Rectangle" stroke="#464646" fill="url(#linearGradient-1)" x="0.5" y="0.5" width="18" height="13" rx="5"/>
+      <rect id="Rectangle" fill="#CC7000" x="9" y="2" width="1" height="10"/>
+    </g>
+    <rect id="Rectangle" stroke="#464646" fill="url(#linearGradient-2)" x="30.5" y="2.5" width="18" height="13" rx="5"/>
+    <rect id="Rectangle" fill="#CC7000" x="39" y="4" width="1" height="10"/>
+    <rect id="Rectangle" stroke="#464646" fill="url(#linearGradient-2)" x="30.5" y="26.5" width="18" height="13" rx="5"/>
+    <rect id="Rectangle" fill="#CC7000" x="39" y="28" width="1" height="10"/>
+    <rect id="Rectangle" fill-opacity="0.1" fill="#FFFFFF" x="38" y="5" width="1" height="8"/>
+    <rect id="Rectangle" fill-opacity="0.1" fill="#FFFFFF" x="38" y="29" width="1" height="8"/>
+    <path d="M19,30 C13.6666667,30 10.3333333,30 9,30 C7,30 6,32 6,33 C6,33.6666667 6,35.3333333 6,38" id="Path-12" stroke-opacity="0.05" stroke="#000000" stroke-width="2" transform="translate(12.500000, 34.000000) rotate(-180.000000) translate(-12.500000, -34.000000) "/>
+    <path d="M17,28 C11.6666667,28 8.33333333,28 7,28 C5,28 4,30 4,31 C4,31.6666667 4,33 4,35" id="Path-12" stroke-opacity="0.15" stroke="#FFFFFF" stroke-width="2"/>
+    <path d="M47,30 C41.6666667,30 38.3333333,30 37,30 C35,30 34,32 34,33 C34,33.6666667 34,35.3333333 34,38" id="Path-12" stroke-opacity="0.05" stroke="#000000" stroke-width="2" transform="translate(40.500000, 34.000000) rotate(-180.000000) translate(-40.500000, -34.000000) "/>
+    <path d="M45,28 C39.6666667,28 36.3333333,28 35,28 C33,28 32,30 32,31 C32,31.6666667 32,33 32,35" id="Path-12" stroke-opacity="0.15" stroke="#FFFFFF" stroke-width="2"/>
+    <path d="M19,6 C13.6666667,6 10.3333333,6 9,6 C7,6 6,8 6,9 C6,9.66666667 6,11.3333333 6,14" id="Path-12" stroke-opacity="0.05" stroke="#000000" stroke-width="2" transform="translate(12.500000, 10.000000) rotate(-180.000000) translate(-12.500000, -10.000000) "/>
+    <path d="M17,4 C11.6666667,4 8.33333333,4 7,4 C5,4 4,6 4,7 C4,7.66666667 4,9 4,11" id="Path-12" stroke-opacity="0.15" stroke="#FFFFFF" stroke-width="2"/>
+    <path d="M47,6 C41.6666667,6 38.3333333,6 37,6 C35,6 34,8 34,9 C34,9.66666667 34,11.3333333 34,14" id="Path-12" stroke-opacity="0.05" stroke="#000000" stroke-width="2" transform="translate(40.500000, 10.000000) rotate(-180.000000) translate(-40.500000, -10.000000) "/>
+    <path d="M45,4 C39.6666667,4 36.3333333,4 35,4 C33,4 32,6 32,7 C32,7.66666667 32,9 32,11" id="Path-12" stroke-opacity="0.15" stroke="#FFFFFF" stroke-width="2"/>
+    <rect id="Rectangle" fill-opacity="0.1" fill="#FFFFFF" x="10" y="29" width="1" height="8"/>
+  </g>
+</svg>
\ No newline at end of file
diff --git a/resources/data/skins/default.surge-skin/SVG/hover00157.svg b/resources/data/skins/default.surge-skin/SVG/hover00157.svg
new file mode 100644
index 000000000..b25305d71
--- /dev/null
+++ b/resources/data/skins/default.surge-skin/SVG/hover00157.svg
@@ -0,0 +1,67 @@
+<?xml version="1.0" encoding="utf-8"?>
+<svg width="48px" height="56px" viewBox="0 0 48 56" version="1.1" xmlns="http://www.w3.org/2000/svg">
+  <title>bmp00157</title>
+  <desc>Created with Sketch.</desc>
+  <defs>
+    <linearGradient x1="100%" y1="50%" x2="0.551625845%" y2="50%" id="linearGradient-1">
+      <stop stop-color="#656565" offset="0"/>
+      <stop stop-color="#A2A2A2" offset="0.1539"/>
+      <stop stop-color="#AEAEAE" offset="0.841"/>
+      <stop stop-color="#D9D9D9" offset="1"/>
+    </linearGradient>
+    <linearGradient x1="99.2688978%" y1="50%" x2="0%" y2="50%" id="linearGradient-2">
+      <stop stop-color="#606C8E" offset="0"/>
+      <stop stop-color="#8E9FCE" offset="0.1573"/>
+      <stop stop-color="#8E9FCE" offset="0.8423"/>
+      <stop stop-color="#BFCAE8" offset="1"/>
+    </linearGradient>
+    <linearGradient x1="100%" y1="50%" x2="0%" y2="50%" id="linearGradient-3">
+      <stop stop-color="#606C8E" offset="0.0073"/>
+      <stop stop-color="#8E9FCE" offset="0.1573"/>
+      <stop stop-color="#8E9FCE" offset="0.8423"/>
+      <stop stop-color="#BFCAE8" offset="1"/>
+    </linearGradient>
+  </defs>
+  <g id="bmp00157" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
+    <rect id="Rectangle" transform="translate(33.500000, 12.000000) rotate(-270.000000) translate(-33.500000, -12.000000) " x="23.5" y="4.5" width="20" height="15" rx="5"/>
+    <rect id="Rectangle" transform="translate(9.500000, 12.000000) rotate(-270.000000) translate(-9.500000, -12.000000) " x="-0.5" y="4.5" width="20" height="15" rx="5"/>
+    <rect id="Rectangle" transform="translate(33.500000, 40.000000) rotate(-270.000000) translate(-33.500000, -40.000000) " x="23.5" y="32.5" width="20" height="15" rx="5"/>
+    <rect id="Rectangle" transform="translate(9.500000, 40.000000) rotate(-270.000000) translate(-9.500000, -40.000000) " x="-0.5" y="32.5" width="20" height="15" rx="5"/>
+    <g id="Group-2" transform="translate(9.000000, 11.500000) rotate(-270.000000) translate(-9.000000, -11.500000) translate(-1.000000, 4.000000)" fill="url(#linearGradient-1)" stroke="#464646">
+      <rect id="Rectangle" x="1" y="1" width="18" height="13" rx="5"/>
+    </g>
+    <g id="Group-2" transform="translate(9.000000, 39.500000) rotate(-270.000000) translate(-9.000000, -39.500000) translate(-1.000000, 32.000000)" fill="url(#linearGradient-1)" stroke="#464646">
+      <rect id="Rectangle" x="1" y="1" width="18" height="13" rx="5"/>
+    </g>
+    <g id="Group-4" transform="translate(33.000000, 11.500000) rotate(-270.000000) translate(-33.000000, -11.500000) translate(23.500000, 4.500000)" fill="url(#linearGradient-2)" stroke="#141D39">
+      <rect id="Rectangle" x="0.5" y="0.5" width="18" height="13" rx="5"/>
+    </g>
+    <g id="Group-4" transform="translate(33.000000, 39.500000) rotate(-270.000000) translate(-33.000000, -39.500000) translate(23.500000, 32.500000)" fill="url(#linearGradient-3)" stroke="#141D39">
+      <rect id="Rectangle" x="0.5" y="0.5" width="18" height="13" rx="5"/>
+    </g>
+    <g id="Group" transform="translate(21.000000, 25.500000) scale(-1, 1) translate(-21.000000, -25.500000) translate(3.500000, 4.000000)">
+      <path d="M35.5,4 C30.1666667,4 26.8333333,4 25.5,4 C23.5,4 22.5,6 22.5,7 C22.5,7.66666667 22.5,9.66666667 22.5,13" id="Path-12" stroke-opacity="0.05" stroke="#000000" stroke-width="2" transform="translate(29.000000, 8.500000) rotate(-90.000000) translate(-29.000000, -8.500000) "/>
+      <path d="M37,2.5 C31.6666667,2.5 28.3333333,2.5 27,2.5 C25,2.5 24,4.5 24,5.5 C24,6.16666667 24,7.83333333 24,10.5" id="Path-12" stroke-opacity="0.15" stroke="#FFFFFF" stroke-width="2" transform="translate(30.500000, 6.500000) rotate(-270.000000) translate(-30.500000, -6.500000) "/>
+      <path d="M35.5,32 C30.1666667,32 26.8333333,32 25.5,32 C23.5,32 22.5,34 22.5,35 C22.5,35.6666667 22.5,37.6666667 22.5,41" id="Path-12" stroke-opacity="0.05" stroke="#000000" stroke-width="2" transform="translate(29.000000, 36.500000) rotate(-90.000000) translate(-29.000000, -36.500000) "/>
+      <path d="M37,30.5 C31.6666667,30.5 28.3333333,30.5 27,30.5 C25,30.5 24,32.5 24,33.5 C24,34.1666667 24,35.8333333 24,38.5" id="Path-12" stroke-opacity="0.15" stroke="#FFFFFF" stroke-width="2" transform="translate(30.500000, 34.500000) rotate(-270.000000) translate(-30.500000, -34.500000) "/>
+      <path d="M11.5,32 C6.16666667,32 2.83333333,32 1.5,32 C-0.5,32 -1.5,34 -1.5,35 C-1.5,35.6666667 -1.5,37.6666667 -1.5,41" id="Path-12" stroke-opacity="0.05" stroke="#000000" stroke-width="2" transform="translate(5.000000, 36.500000) rotate(-90.000000) translate(-5.000000, -36.500000) "/>
+      <path d="M13,30.5 C7.66666667,30.5 4.33333333,30.5 3,30.5 C1,30.5 -9.16600129e-13,32.5 -9.16600129e-13,33.5 C-9.16600129e-13,34.1666667 -9.16600129e-13,35.8333333 -9.16600129e-13,38.5" id="Path-12" stroke-opacity="0.15" stroke="#FFFFFF" stroke-width="2" transform="translate(6.500000, 34.500000) rotate(-270.000000) translate(-6.500000, -34.500000) "/>
+      <path d="M11.5,4 C6.16666667,4 2.83333333,4 1.5,4 C-0.5,4 -1.5,6 -1.5,7 C-1.5,7.66666667 -1.5,9.66666667 -1.5,13" id="Path-12" stroke-opacity="0.05" stroke="#000000" stroke-width="2" transform="translate(5.000000, 8.500000) rotate(-90.000000) translate(-5.000000, -8.500000) "/>
+      <path d="M13,2.5 C7.66666667,2.5 4.33333333,2.5 3,2.5 C1,2.5 -4.54747351e-13,4.5 -4.54747351e-13,5.5 C-4.54747351e-13,6.16666667 -4.54747351e-13,7.83333333 -4.54747351e-13,10.5" id="Path-12" stroke-opacity="0.15" stroke="#FFFFFF" stroke-width="2" transform="translate(6.500000, 6.500000) rotate(-270.000000) translate(-6.500000, -6.500000) "/>
+      <rect id="Rectangle" fill-opacity="0.1" fill="#FFFFFF" transform="translate(29.500000, 8.500000) rotate(-270.000000) translate(-29.500000, -8.500000) " x="29" y="4.5" width="1" height="8"/>
+    </g>
+    <g id="Group" transform="translate(33.000000, 12.500000) scale(-1, 1) translate(-33.000000, -12.500000) translate(28.500000, 12.000000)" fill="#FFFFFF" fill-opacity="0.1">
+      <rect id="Rectangle" transform="translate(4.500000, 0.500000) rotate(-270.000000) translate(-4.500000, -0.500000) " x="4" y="-3.5" width="1" height="8"/>
+    </g>
+    <g id="Group" transform="translate(9.000000, 40.500000) scale(-1, 1) translate(-9.000000, -40.500000) translate(4.500000, 40.000000)" fill="#FFFFFF" fill-opacity="0.1">
+      <rect id="Rectangle" transform="translate(4.500000, 0.500000) rotate(-270.000000) translate(-4.500000, -0.500000) " x="4" y="-3.5" width="1" height="8"/>
+    </g>
+    <g id="Group" transform="translate(33.000000, 40.500000) scale(-1, 1) translate(-33.000000, -40.500000) translate(28.500000, 40.000000)" fill="#FFFFFF" fill-opacity="0.1">
+      <rect id="Rectangle" transform="translate(4.500000, 0.500000) rotate(-270.000000) translate(-4.500000, -0.500000) " x="4" y="-3.5" width="1" height="8"/>
+    </g>
+    <rect id="Rectangle" fill="#CC7000" transform="translate(9.000000, 11.500000) rotate(-270.000000) translate(-9.000000, -11.500000) " x="8.5" y="6.5" width="1" height="10"/>
+    <rect id="Rectangle" fill="#CC7000" transform="translate(9.000000, 39.500000) rotate(-270.000000) translate(-9.000000, -39.500000) " x="8.5" y="34.5" width="1" height="10"/>
+    <rect id="Rectangle" fill="#CC7000" transform="translate(33.000000, 11.500000) rotate(-270.000000) translate(-33.000000, -11.500000) " x="32.5" y="6.5" width="1" height="10"/>
+    <rect id="Rectangle" fill="#CC7000" transform="translate(33.000000, 39.500000) rotate(-270.000000) translate(-33.000000, -39.500000) " x="32.5" y="34.5" width="1" height="10"/>
+  </g>
+</svg>
diff --git a/src/common/gui/CSurgeSlider.cpp b/src/common/gui/CSurgeSlider.cpp
index 820493c11..e52f55f38 100644
--- a/src/common/gui/CSurgeSlider.cpp
+++ b/src/common/gui/CSurgeSlider.cpp
@@ -67,12 +67,13 @@ CSurgeSlider::CSurgeSlider(const CPoint& loc,
 
    CRect size;
 
+   pHandleHover = nullptr;
    if (style & CSlider::kHorizontal)
    {
       pTray = bitmapStore->getBitmap(IDB_FADERH_BG);
       pHandle = bitmapStore->getBitmap(IDB_FADERH_HANDLE);
       pTempoSyncHandle = bitmapStore->getBitmapByStringID( "TEMPOSYNC_HORIZONTAL_OVERLAY" );
-      
+            
       if (style & kWhite)
          typehy = 1;
 
@@ -150,6 +151,18 @@ void CSurgeSlider::draw(CDrawContext* dc)
 	dc->fillRect(size);
 #endif
 
+   if( ! lookedForHovers )
+   {
+      lookedForHovers = true;
+      if( skin.get() )
+      {
+         pHandleHover = skin->hoverBitmapOverlayForBackgroundBitmap(skinControl,
+                                                                    dynamic_cast<CScalableBitmap*>( pHandle ),
+                                                                    associatedBitmapStore,
+                                                                    Surge::UI::Skin::HoverType::HOVER);
+      }
+   }
+
    CRect size = getViewSize();
 
    if (style & CSlider::kHorizontal)
@@ -412,6 +425,9 @@ void CSurgeSlider::draw(CDrawContext* dc)
       if (style & CSlider::kHorizontal)
       {
          pHandle->draw(dc, hrect, CPoint(0, 24 * typehy), modmode ? slider_alpha : slider_alpha);
+         if( pHandleHover && in_hover )
+            pHandleHover->draw(dc, hrect, CPoint(0, 24 * typehy), modmode ? slider_alpha : slider_alpha);
+
          if( is_temposync )
          {
             if( pTempoSyncHandle )
@@ -443,6 +459,9 @@ void CSurgeSlider::draw(CDrawContext* dc)
       else if ((!deactivated || !disabled))
       {
          pHandle->draw(dc, hrect, CPoint(0, 28 * typehy), modmode ? slider_alpha : slider_alpha); // used to be 0x80 which was solid - lets keep taht for now
+         if( pHandleHover && in_hover )
+            pHandleHover->draw(dc, hrect, CPoint(0, 28 * typehy), modmode ? slider_alpha : slider_alpha); // used to be 0x80 which was solid - lets keep taht for now
+
          if( is_temposync )
          {
             if( pTempoSyncHandle )
@@ -508,9 +527,17 @@ void CSurgeSlider::draw(CDrawContext* dc)
       }
 
       if (style & CSlider::kHorizontal)
+      {
+         if( pHandleHover && in_hover )
+            pHandleHover->draw(dc, hrect, CPoint(28, 24 * typehy), slider_alpha);
          pHandle->draw(dc, hrect, CPoint(28, 24 * typehy), slider_alpha);
+      }
       else
+      {
+         if( pHandleHover && in_hover )
+            pHandleHover->draw(dc, hrect, CPoint(24, 28 * typehy), slider_alpha);
          pHandle->draw(dc, hrect, CPoint(24, 28 * typehy), slider_alpha);
+      }
    }
 
    setDirty(false);
@@ -630,13 +657,21 @@ CMouseEventResult CSurgeSlider::onMouseUp(CPoint& where, const CButtonState& but
    return kMouseEventHandled;
 }
 
+VSTGUI::CMouseEventResult CSurgeSlider::onMouseEntered(VSTGUI::CPoint& where, const VSTGUI::CButtonState& buttons)
+{
+   in_hover = true;
+   invalid();
+   return kMouseEventHandled;
+}
+
 VSTGUI::CMouseEventResult CSurgeSlider::onMouseExited(VSTGUI::CPoint& where, const VSTGUI::CButtonState& buttons)
 {
+   in_hover = false;
    if( wheelInitiatedEdit )
       while( editing )
          endEdit();
    wheelInitiatedEdit = false;
-
+   invalid();
    return kMouseEventHandled;
 }
 
diff --git a/src/common/gui/CSurgeSlider.h b/src/common/gui/CSurgeSlider.h
index 6404e3b9a..b602fe62e 100644
--- a/src/common/gui/CSurgeSlider.h
+++ b/src/common/gui/CSurgeSlider.h
@@ -30,6 +30,9 @@ class CSurgeSlider : public CCursorHidingControl, public Surge::UI::SkinConsumin
    virtual VSTGUI::CMouseEventResult
    onMouseUp(VSTGUI::CPoint& where, const VSTGUI::CButtonState& buttons) override; ///< called when a mouse up event occurs
 
+   virtual VSTGUI::CMouseEventResult
+   onMouseEntered(VSTGUI::CPoint& where, const VSTGUI::CButtonState& buttons) override;
+   
    virtual VSTGUI::CMouseEventResult
    onMouseExited(VSTGUI::CPoint& where, const VSTGUI::CButtonState& buttons) override;
    
@@ -73,6 +76,7 @@ class CSurgeSlider : public CCursorHidingControl, public Surge::UI::SkinConsumin
 
    CLASS_METHODS(CSurgeSlider, CControl)
 
+   bool in_hover = false;
    bool is_mod;
    bool disabled; // means it can't be used unless something else changes
    bool deactivated; // means it has been turned off by user action
@@ -95,7 +99,8 @@ class CSurgeSlider : public CCursorHidingControl, public Surge::UI::SkinConsumin
    static MoveRateState sliderMoveRateState;
 
 private:
-   VSTGUI::CBitmap *pHandle, *pTray, *pModHandle, *pTempoSyncHandle;
+   VSTGUI::CBitmap *pHandle, *pTray, *pModHandle, *pTempoSyncHandle, *pHandleHover;
+   bool lookedForHovers = false;
    VSTGUI::CRect handle_rect, handle_rect_orig;
    VSTGUI::CPoint offsetHandle;
    int range;
